Bug 1360444 - [backport] rpm: SELinux relabel does not work on systems using CIL
Summary: [backport] rpm: SELinux relabel does not work on systems using CIL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 1.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 1.3.3
Assignee: Boris Ranto
QA Contact: Vasu Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 18:35 UTC by Vasu Kulkarni
Modified: 2016-09-29 13:00 UTC (History)
4 users (show)

Fixed In Version: ceph-0.94.7-3.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:00:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 15725 None None None 2016-07-26 18:35:01 UTC
Red Hat Bugzilla 1330279 None None None Never
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Internal Links: 1330279

Description Vasu Kulkarni 2016-07-26 18:35:02 UTC
Description of problem:

Upstream tracker:

The SELinux userspace utilities stopped providing versions when they
switched to CIL language. We need to use a different technique to
relabel the files.


bz for backport to 1.3.2

Comment 3 Vasu Kulkarni 2016-07-26 18:37:21 UTC
Boris,

Can you backport this to 1.3.2?

Comment 4 Ken Dreyer (Red Hat) 2016-07-26 18:41:17 UTC
Vasu, could you clarify which AVC denial you're seeing with RHCS 1.3? (The original upstream commit was only for Fedora's SELinux utilities, so I want to be really clear about what bug we're fixing, here).

Comment 6 Vasu Kulkarni 2016-07-26 18:45:55 UTC
Ken,

The asok denial i am talking about is here bz 1330279.

Comment 7 Vasu Kulkarni 2016-07-26 18:47:54 UTC
They both seem to be related, probably it could be dup.

Comment 8 Boris Ranto 2016-08-01 10:10:29 UTC
@Ken: The original patch was for Fedora but starting with RHEL 7.3, the same applies for RHEL -- there has been a rebase in the SELinux userspace utilities and they now use the CIL language.

Comment 15 errata-xmlrpc 2016-09-29 13:00:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.